<?php

/**
 * Add ... for more view
 *
 * @since x-mas 0.0.1
 *
 * @param null
 * @return null
 *
 */

if ( !function_exists('x_mas_excerpt_more') ) :
    function x_mas_excerpt_more($more) { 
    if(is_admin() ){
    return '&hellip;';
    }
}
endif;
add_filter('excerpt_more', 'x_mas_excerpt_more');


/**
* Checkbox santitization
*/
if ( ! function_exists( 'x_mas_sanitize_checkbox' ) ) :

	function x_mas_sanitize_checkbox( $checked ) {

		return ( ( isset( $checked ) && true === $checked ) ? true : false );
	}

endif;


/**
 * Show/hide post meta 
 */

function x_mas_show_post_meta(){
	global $x_mas_theme_options;
    $hide_post_meta = absint($x_mas_theme_options['x-mas-blog-meta']);
	if( $hide_post_meta == 0 ){
		?>
		<div class="entry-meta">
			<?php 
				x_mas_posted_on();
			?>
		</div><!-- .entry-meta -->
		<?php
	}
}

// Add specific CSS class by filter
function x_mas_body_class( $classes ) {
	$classes[] = 'at-sticky-sidebar right-sidebar ';
	return $classes;
}
add_filter( 'body_class', 'x_mas_body_class' );